<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="258dp"
    android:layout_marginVertical="-8dp"
    android:background="@drawable/bg_img_shadow_recommend_card">

    <View
        android:id="@+id/v_background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="16dp"
        android:background="@drawable/bg_img_recommend_card"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_gift"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="12dp"
        app:srcCompat="@drawable/ic_gift_recommend_card"
        app:layout_constraintStart_toStartOf="@id/v_background"
        app:layout_constraintTop_toTopOf="@id/v_background" />

    <LinearLayout
        android:id="@+id/ll_title_container"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="@id/iv_gift"
        app:layout_constraintEnd_toStartOf="@id/tv_right"
        app:layout_constraintStart_toEndOf="@id/iv_gift"
        app:layout_constraintTop_toTopOf="@id/iv_gift">

        <TextView
            android:id="@+id/tv_title"
            style="@style/TextHeadline"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:maxLines="1"
            android:paddingEnd="4dp"
            android:textColor="@color/text_primary"
            tools:text="新人推荐新人推荐新" />

        <TextView
            android:id="@+id/tv_sub_title"
            style="@style/TextAnnotation1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:maxLines="1"
            android:textColor="@color/text_secondary"
            tools:text="充648低至3块钱" />
    </LinearLayout>


    <TextView
        android:id="@+id/tv_right"
        style="@style/TextCaption1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="14dp"
        android:drawablePadding="4dp"
        android:textColor="@color/text_primary"
        app:drawableEndCompat="@drawable/ic_right"
        app:layout_constraintBottom_toBottomOf="@id/iv_gift"
        app:layout_constraintEnd_toEndOf="@id/v_background"
        app:layout_constraintTop_toTopOf="@id/iv_gift"
        tools:text="更多" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_cards"
        android:layout_width="0dp"
        android:layout_height="176dp"
        android:layout_marginTop="40dp"
        android:clipToPadding="false"
        android:paddingHorizontal="4dp"
        app:layout_constraintEnd_toEndOf="@id/v_background"
        app:layout_constraintStart_toStartOf="@id/v_background"
        app:layout_constraintTop_toTopOf="@id/v_background"
        tools:listitem="@layout/recycler_recommend_card_item" />

</androidx.constraintlayout.widget.ConstraintLayout>